<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary" (click)="getDataSource(ngForm.value)">
    <i class="fas fa-search mr-2"></i>Buscar
  </button>
  <button class="btn btn-danger ml-1" (click)="exportPdf()" [disabled]="loading || !dataGrid.length">
    <i class="fas fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">
    <form [formGroup]="ngForm">
      <div class="row">
        <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label class="w-100">Fecha Desde</label>
          <kendo-datepicker formControlName="fFec1" [format]="kendoFormat" class="form-control"></kendo-datepicker>
        </div>
        <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label class="w-100">Fecha Hasta</label>
          <kendo-datepicker formControlName="fFec2" [format]="kendoFormat" class="form-control"
            (change)="getDataSource(ngForm.value)"></kendo-datepicker>
        </div>
      </div>
    </form>

    <kendo-grid [kendoGridBinding]="dataGrid" [sortable]="true" filterable="menu" [navigable]="true"
      [pageSize]="pageSize" [skip]="skip" [selectable]="true" [reorderable]="true" [resizable]="true"
      [pageable]="{ buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 58vh;" *ngIf="!loading">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="NoFolio" title="Folio" width="140"></kendo-grid-column>
        <kendo-grid-column field="FechaMovto" title="Fecha Movto." width="180" filter="date" format="{0:d}">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.FechaMovto | date: kendoFormat }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="HoraMovto" title="Hora Movto." [filterable]="false" width="140">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.HoraMovto | hour }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Tipo" title="Tipo" width="170">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <kendo-multiselect [data]="dsTipos" textField="desc" valueField="tipo" [valuePrimitive]="true"
              [value]="categoryFilters(filter)" (valueChange)="categoryChange($event, filterService)"
              style="max-width: 400px;">
            </kendo-multiselect>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Cuenta" title="Cuenta" width="100" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="RfcCia" title="R.F.C. Cia" width="200"></kendo-grid-column>
        <kendo-grid-column field="Monto" title="Monto" [filterable]="false" width="120" class="text-right">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.Monto | currency:'MXN' }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="EAct" title="E.A." width="85" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="Ope" title="Operador" width="140" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="Con" title="Con" width="110" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="Numero" title="Número" width="130" [filterable]="false" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="FechaCxld" title="Fec. Cxld." width="130" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="FecSalida" title="Fec. Sal." width="130" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="FolioFiscal" title="F. Fiscal" width="250" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="ArchivoXml" title="XML" width="250" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="Notas" title="Notas" width="150" [filterable]="false"></kendo-grid-column>
      </ng-container>

      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
    <app-loading *ngIf="loading"></app-loading>
  </div>
</div>